--- old/usr/src/uts/common/io/ixgbe/ixgbe_debug.h	Thu Jan 14 14:49:27 2016
+++ new/usr/src/uts/common/io/ixgbe/ixgbe_debug.h	Thu Jan 14 14:49:27 2016
@@ -26,6 +26,10 @@
  * Use is subject to license terms.
  */
 
+/*
+ * Copyright 2016 OmniTI Computer Consulting, Inc. All rights reserved.
+ */
+
 #ifndef	_IXGBE_DEBUG_H
 #define	_IXGBE_DEBUG_H
 
@@ -90,14 +94,18 @@
 #define	DEBUGOUT6(S, A, B, C, D, E, F)	\
 	IXGBE_DEBUGLOG_6(NULL, S, A, B, C, D, E, F)
 
+#define ERROR_REPORT1(S, A)		DEBUGOUT1(S, A)
+#define ERROR_REPORT2(S, A, B)		DEBUGOUT2(S, A, B)
+#define ERROR_REPORT3(S, A, B, C)	DEBUGOUT3(S, A, B, C)
+
 /*
  * DEBUGFUNC() is used to print the function call information, however since
- * Dtrace in Solaris can be used to trace function calls, this function is
- * not useful in Solaris, and DEBUGFUNC() can spam a large number of
+ * Dtrace in illumos can be used to trace function calls, this function is
+ * not useful in illumos, and DEBUGFUNC() can spam a large number of
  * function call system logs (see CR6918426). We sould eliminate
  * DEBUGFUNC(), but since DEBUGFUNC() is used by the shared code
  * (maintained by Intel) which is used and shared by ixgbe drivers in
- * different OSes, we can not remove it, so in Solaris just simply define
+ * different OSes, we can not remove it, so in illumos just simply define
  * it as blank.
  */
 #define	DEBUGFUNC(F)
@@ -110,6 +118,10 @@
 #define	DEBUGOUT3(S, A, B, C)
 #define	DEBUGOUT6(S, A, B, C, D, E, F)
 
+#define ERROR_REPORT1(S, A)
+#define ERROR_REPORT2(S, A, B)
+#define ERROR_REPORT3(S, A, B, C)
+
 #define	DEBUGFUNC(F)
 
 #endif	/* IXGBE_DEBUG */
